Skip to main content
GET
Game logs

Authorizations

X-Api-Key
string
header
required

Path Parameters

id
integer
required

Numeric ID of the player to get game logs for

Query Parameters

fields
enum<string>[]

Specify custom response with available response fields.


Fields included as default: id, game, team, teamName, teamLogo, teamLogoUrl, opponent, opponentName, opponentLogo, opponentLogoUrl, gameType, teamScore, opponentScore, outcome, teamScoreSo, opponentScoreSo, jerseyNumber, playerRole, stats, createdAt, updatedAt

Available options:
id,
game,
team,
teamName,
teamLogo,
teamLogoUrl,
opponent,
opponentName,
opponentLogo,
opponentLogoUrl,
gameType,
teamScore,
opponentScore,
outcome,
teamScoreSo,
opponentScoreSo,
jerseyNumber,
playerRole,
stats,
createdAt,
updatedAt,
game.*,
team.*,
teamLogo.*,
opponent.*,
opponentLogo.*,
stats.*,
*
offset
integer
default:0

The number of items to skip before starting to collect the result set.

Required range: x >= 0
limit
integer
default:100

The number of items to return.

Required range: 0 <= x <= 1000
sort
enum<string>[]

Sort results by field name. Prefix with - for descending order (e.g., -name).

Available options:
game.date,
-game.date,
game.dateTime,
-game.dateTime,
game.league,
-game.league,
team,
-team,
opponent,
-opponent,
teamScore,
-teamScore,
opponentScore,
-opponentScore,
stats.G,
-stats.G,
stats.A,
-stats.A,
stats.PTS,
-stats.PTS,
stats.PIM,
-stats.PIM,
stats.PM,
-stats.PM,
stats.SOG,
-stats.SOG,
stats.PPG,
-stats.PPG,
stats.SHG,
-stats.SHG,
stats.GA,
-stats.GA,
stats.SA,
-stats.SA,
stats.SV,
-stats.SV,
stats.SVP,
-stats.SVP,
stats.SO,
-stats.SO,
stats.TOI,
-stats.TOI,
createdAt,
-createdAt,
updatedAt,
-updatedAt
game
integer[]

Filter by game ID

game.league
string[]

Filter by game.league slug

game.season
string

Filter by game.season slug

game.seasonType
enum<string>

Filter by game.seasonType

Available options:
PRESEASON,
REGULAR_SEASON,
POSTSEASON
game.dateTime:from
string<date-time>

Filter by game.dateTime greater or equal to in ISO-8601 format for date and time

game.dateTime:to
string<date-time>

Filter by game.dateTime less than or equal to in ISO-8601 format for date and time

game.date:from
string<date>

Filter by game.date greater or equal to in ISO-8601 format for date

game.date:to
string<date>

Filter by game.date less than or equal to in ISO-8601 format for date

team
integer[]

Filter by team ID

opponent
integer[]

Filter by opponent ID

team-or-opponent
integer[]

Filter by team-or-opponent

stats.G:min
integer

Filter by stats.G greater or equal to

stats.PTS:min
integer

Filter by stats.PTS greater or equal to

stats.SV:min
integer

Filter by stats.SV greater or equal to

stats.TOI:min
string

Filter by stats.TOI greater or equal to

createdAt:min
string<date-time>

Filter by createdAt greater or equal to in ISO-8601 format for date and time

updatedAt:min
string<date-time>

Filter by updatedAt greater or equal to in ISO-8601 format for date and time

Response

200 - application/json

Game logs, paginated.

_meta
object
data
object[]